%define	upstream_name	 ExtUtils-ParseXS
%define upstream_version 3.30

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Converts Perl XS code into C code 
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:    http://search.cpan.org/CPAN/authors/id/K/KW/KWILLIAMS/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Cwd)
BuildRequires: perl(DynaLoader)
BuildRequires: perl(Exporter) >= 5.570.0
BuildRequires: perl(ExtUtils::CBuilder)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.460.0
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Symbol)
BuildRequires: perl(Test::More) >= 0.470.0
BuildRequires: perl-devel
BuildRequires: perl-ExtUtils-CBuilder
BuildArch:  noarch

%description
ExtUtils::ParseXS will compile XS code into C code by embedding the constructs
necessary to let C functions manipulate Perl values and creates the glue
necessary to let Perl access those functions.  The compiler uses typemaps to
determine how to map C function parameters and variables to Perl values.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make


%install
%make_install
mv %{buildroot}/%{_bindir}/xsubpp        %{buildroot}/%{_bindir}/xsubpp.%{upstream_version}
mv %{buildroot}/%{_mandir}/man1/xsubpp.1 %{buildroot}/%{_mandir}/man1/xsubpp.%{upstream_version}.1

%files 
%doc Changes INSTALL META.yml MYMETA.yml README
%{perl_vendorlib}/ExtUtils
%{_bindir}/*
%{_mandir}/*/*

%changelog
* Wed Jul 12 2017 bb2 <bb2> - 3.300.0-4pclos2017
- rebuild against updates

